#ifndef ELEBORDER_H
#define ELEBORDER_H

#include <QWidget>

class EleBorder : public QWidget {
    Q_OBJECT
public:
    explicit EleBorder(QString, QString, int, QWidget *parent = nullptr);
    QPixmap img;
    char eff = 0;
    int speed = 2, off = 0;
    int timerId = 0;
protected:
    void paintEvent(QPaintEvent *) override;
    void timerEvent(QTimerEvent *) override;
};

#endif
